## org.apache.fop.layout
Class PageMaster

    java.lang.Object
      |
      +--org.apache.fop.layout.PageMaster

public class PageMaster
extends java.lang.Object

Constructor Summary
`PageMaster(int pageWidth, int pageHeight)`

Method Summary
`void` `addAfter(RegionArea region)`
`void` `addBefore(RegionArea region)`
`void` `addBody(BodyRegionArea region)`
`void` `addEnd(RegionArea region)`
`void` `addStart(RegionArea region)`
`int` `getHeight()`
`int` `getWidth()`
`Page` `makePage(AreaTree areaTree)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageMaster

    public PageMaster(int pageWidth,
                      int pageHeight)

Method Detail

### addAfter

    public void addAfter(RegionArea region)

### addBefore

    public void addBefore(RegionArea region)

### addBody

    public void addBody(BodyRegionArea region)

### addEnd

    public void addEnd(RegionArea region)

### addStart

    public void addStart(RegionArea region)

### getHeight

    public int getHeight()

### getWidth

    public int getWidth()

### makePage

    public Page makePage(AreaTree areaTree)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.